View Issue Details

IDProjectCategoryView StatusLast Update
0030129Open CASCADEOCCT:Documentationpublic2019-09-25 19:31
Reportermsv Assigned Toapn  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.3.0 
Target Version7.4.0Fixed in Version7.4.0 
Summary0030129: With newest doxygen 1.8.14 generation of overview gives warnings
DescriptionWith newest doxygen 1.8.14 generation of overview gives a lot of warnings like this:
1>\\C:/git/occt/dox/technical_overview/technical_overview.md:\12:\warning: Illegal command n as part of a \image\

Steps To ReproduceBuild OCCT overview documentation with Doxygen 1.8.14, see warnings in the log
TagsNo tags attached.
Test case numberNot needed

Relationships

related to 0031001 closedbugmaster Documentation - modeling_algos.md can not be generated 

Activities

git

2019-02-08 17:34

administrator   ~0082095

Branch CR30129 has been created by abv.

SHA-1: 54e8882ae6b97355f683048d6c4226f02e2760af


Detailed log of new commits:

Author: abv
Date: Fri Feb 8 17:29:55 2019 +0300

    0030129: With newest doxygen 1.8.14 generation of overview gives warnings
    
    Doxygen configuration scripts are corrected to avoid '\n' symbols in the end of the @figure alias that caused multiple warning messages.
    Other Doxygen warnings in Markdown files are eliminated.
    In CMake builds the format of Doxygen warnings is set to use the style recognized by Visual Studio when compiler is MSVC.

abv

2019-02-08 19:11

manager   ~0082096

Fix pushed to branch CR30129, please review. Jenkins build logs are available in job CR30129-master-abv

msv

2019-02-08 19:44

developer   ~0082099

Reviewed.

apn

2019-02-12 17:58

administrator   ~0082158

Combination -
OCCT branch : CR30129 SHA - 54e8882ae6b97355f683048d6c4226f02e2760af
Products branch : master SHA - 9aa25f353abc3855a46a51135af99c115d17b709
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

git

2019-03-05 13:46

administrator   ~0082621

Branch CR30129 has been deleted by kgv.

SHA-1: 54e8882ae6b97355f683048d6c4226f02e2760af

Related Changesets

occt: master 458ff6a6

2019-02-08 14:29:55

abv


Committer: apn Details Diff
0030129: With newest doxygen 1.8.14 generation of overview gives warnings

Doxygen configuration scripts are corrected to avoid '\n' symbols in the end of the @figure alias that caused multiple warning messages.
Other Doxygen warnings in Markdown files are eliminated.
In CMake builds the format of Doxygen warnings is set to use the style recognized by Visual Studio when compiler is MSVC.
Affected Issues
0030129
mod - dox/CMakeLists.txt Diff File
mod - dox/resources/occt_ug_html.doxyfile Diff File
mod - dox/resources/occt_ug_pdf.doxyfile Diff File
mod - dox/user_guides/iges/iges.md Diff File

Issue History

Date Modified Username Field Change
2018-09-11 18:08 msv New Issue
2018-09-11 18:08 msv Assigned To => abv
2019-02-08 17:34 git Note Added: 0082095
2019-02-08 19:11 abv Note Added: 0082096
2019-02-08 19:11 abv Assigned To abv => msv
2019-02-08 19:11 abv Status new => resolved
2019-02-08 19:11 abv Steps to Reproduce Updated
2019-02-08 19:44 msv Note Added: 0082099
2019-02-08 19:44 msv Assigned To msv => bugmaster
2019-02-08 19:44 msv Status resolved => reviewed
2019-02-12 17:58 apn Test case number => Not needed
2019-02-12 17:58 apn Note Added: 0082158
2019-02-12 17:58 apn Status reviewed => tested
2019-02-16 11:48 apn Changeset attached => occt master 458ff6a6
2019-02-16 11:48 apn Assigned To bugmaster => apn
2019-02-16 11:48 apn Status tested => verified
2019-02-16 11:48 apn Resolution open => fixed
2019-03-05 13:46 git Note Added: 0082621
2019-09-25 19:31 apn Relationship added related to 0031001